<template src="./edit.htm"></template>

<script>

    import Vue from 'vue';
    import EditInfo from './components/info/EditInfoComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import GetEntityMixin from '../../../mixins/entities/getEntityMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleUserMixin from '../../mixins/handleUserMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('edit-info', EditInfo);

    export default {

        mounted() {

            this.getEntityMixin('users', this.$route.params.id, 'setUser');
        },

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            GetEntityMixin,
            HandleEntityMixin,
            HandleUserMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Create user from store, and redirect to given action (index, create).
             **/
            updateUser(action) {

                this.handleEntity('brand', action, route('admin.users.update', this.$route.params.id));
            }
        }
    }

</script>